Package org.apache.cxf.common.util

# Class CompressionUtils

java.lang.Object
org.apache.cxf.common.util.CompressionUtils

public final class CompressionUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `deflate(byte[] tokenBytes)`
  `static byte[]`
  `deflate(byte[] tokenBytes, boolean nowrap)`
  `static byte[]`
  `deflate(byte[] tokenBytes, int level, boolean nowrap)`
  `static InputStream`
  `inflate(byte[] deflatedToken)`
  `static InputStream`
  `inflate(byte[] deflatedToken, boolean nowrap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### inflate

    public static InputStream inflate(byte[] deflatedToken) throws DataFormatException
    Throws:
      `DataFormatException`

  - ### inflate

    public static InputStream inflate(byte[] deflatedToken, boolean nowrap) throws DataFormatException
    Throws:
      `DataFormatException`

  - ### deflate

    public static byte[] deflate(byte[] tokenBytes)

  - ### deflate

    public static byte[] deflate(byte[] tokenBytes, boolean nowrap)

  - ### deflate

    public static byte[] deflate(byte[] tokenBytes, int level, boolean nowrap)